﻿@page
@model Orgatron.Pages.Evenements.HomeModel
@{
    ViewData["Title"] = "Home";
}

<h1>Home</h1>

@if (Model.Evenement.EndAt < DateTime.Now)
{
    <label>L'évènement est terminé. Aucune nouvelle partie ne sera commencée. Dès que les parties en cours seront terminées, le gagnant sera la premier au classement.</label>
}
else if (Model.Evenement.StartedAt == DateTime.MinValue)
{
    <label>La partie n'a pas encore commencé. Revenez sur cette page après le top départ ;)</label>
}
else
{
    <label id="remaining_time">Il reste @((Model.Evenement.EndAt - DateTime.Now).ToString("h'h 'm'm'")) avant la fin de l'évènement</label>
    <br />
    <br />
    @if (Model.InvitationEnAttente != null)
    {
        <h3>Joueur dans : @Model.InvitationEnAttente.Partie.Jeu.Nom</h3>
        <p>@Model.InvitationEnAttente.Partie.Jeu.Description</p>
        <a asp-page="/Parties/Details" asp-route-id="@Model.InvitationEnAttente.Partie.Id">
            <input type="button" class="btn btn-primary" value="Voir la partie" />
        </a>
        <a asp-page="/Participants/AnswerInvitation" asp-route-idInvitation="@Model.InvitationEnAttente.Id" asp-route-reponse="deny" onclick="return confirm('Etes-vous sur de refuser cette partie ? Vous perdrez des points à partir du 3ème refus')">
            <input type="button" class="btn btn-warning" value="Refuser" />
        </a>
    }
    else if (Model.ArbitrageEnAttente != null)
    {
        <h3>Arbitre dans : @Model.ArbitrageEnAttente.Jeu.Nom</h3>
        <p>@Model.ArbitrageEnAttente.Jeu.Description</p>
        <a asp-page="/Parties/Details" asp-route-id="@Model.ArbitrageEnAttente.Id">
            <input type="button" class="btn btn-primary" value="Voir la partie" />
        </a>
        <a asp-page="/Parties/RepondreArbitrage" asp-route-idPartie="@Model.ArbitrageEnAttente.Id" asp-route-reponse="deny" onclick="return confirm('Etes-vous sur de refuser cette partie ? Vous perdrez des points à partir du 3ème refus')">
            <input type="button" class="btn btn-warning" value="Refuser" />
        </a>
    }
    else if (Model.PartieEnCours != null)
    {
        <h3>Lien vers la partie : </h3>
        <a asp-page="/Parties/Details" asp-route-id="@Model.PartieEnCours.Id">@Model.PartieEnCours.Jeu.Nom - @Model.PartieEnCours.Etat.GetDescription()</a>
    }
    else
    {
        <label>
            Vous n'avez rien en cours. Une nouvelle partie sera lancée quand suffisamment de joueurs seront dans votre cas. Si vous avez de la chance vous serez alors choisi.
            Si vous vous ennuyez, vous pouvez toujours réflechir à ce que vous avez bien pu faire de mal pour que le Karma choisisse que les autres s'amusent pendant que vous attendez.
        </label>
        <br />
    }

    @if (!Model.EvenementUtilisateur.EstEnPause)
    {
        <br />
        <label>Si vous voulez faire une pause, cliquez sur ce bouton pour ne pas être pris dans les parties :</label>
        <a asp-page="/Evenements/Pause" asp-route-IdEvenement="@Model.Evenement.Id" asp-route-playerName="@Model.Utilisateur.UserName" asp-route-value="true">Se mettre en pause</a>
    }
    else
    {
        <br />
        <label class="text-danger">Vous êtes en pause, vous n'êtes invités à aucune partie !</label>
        <br />
        <label>Cliquez sur ce bouton dès que votre pause est terminée</label>
        <a asp-page="/Evenements/Pause" asp-route-IdEvenement="@Model.Evenement.Id" asp-route-playerName="@Model.Utilisateur.UserName" asp-route-value="false">Reprendre le jeu</a>
    }
}

<script>
    // Refresh the page every minute
    var reload = setInterval(function () {
        window.location.reload(true);
    }, 60000);


</script>